Subject: [bfcpbis] handling of lost and out of order messages

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Fri, 18 Nov 2011 01:08:48 -0800

There was a question raised by Hadriel during the WG session concerning
the first FloorRequestStatus getting lost. I provided a partial answer
to this during the session but took the action item to follow up on the
list regarding the details. Here is what is currently in the draft:

   A server-initiated request (e.g. a FloorStatus with an update from
the
   floor control server) received by a participant before the initial
   FloorRequestStatus message that closes the client-initiated
   transaction that was instigated by the FloorRequest MUST be treated
   as superseding the information conveyed in any delinquent response.
   As the floor control server cannot send a second update to the
   implicit floor status subscription until the first is acknowledged,
   ordinality is maintained.

I believe this addresses the concern.

Cheers,
Charles